import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';
console.log(arc);


import curveRadial, {curveRadialLinear} from "d3";
import line from "d3";

export function lineRadial(l) {
  var c = l.curve;

  l.angle = l.x, delete l.x;
  l.radius = l.y, delete l.y;

  l.curve = function(_) {
    return arguments.length ? c(curveRadial(_)) : c()._curve;
  };

  return l;
}

export default function() {
  return lineRadial(line().curve(curveRadialLinear));
}

const width = 960;
const height= 500;
const centerX = width/2;
const centerY = height/2;
const radius = height/4;
const mouthArc = arc()
  .innerRadius(105)
  .outerRadius(110)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI*1.5);

const App = () => (
  <svg width={width} height={height}> 
    <g transform = {`translate(${centerX},${centerY})`}>
      <circle
      r={radius}
      fill="yellow"
      stroke="black"
      stroke-width="5"
      />
    <path d={mouthArc()}/>
    </g>
  </svg>
);


const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
